"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_fetch_1 = __importDefault(require("node-fetch"));
const log = __importStar(require("loglevel"));
const FetchSelector_1 = __importDefault(require("./utils/FetchSelector"));
const DeviceSelector_1 = __importDefault(require("./utils/DeviceSelector"));
const LoggerSelector_1 = __importDefault(require("./utils/LoggerSelector"));
const TezosLedgerWallet_1 = require("./identity/tezos/TezosLedgerWallet");
FetchSelector_1.default.setFetch(node_fetch_1.default);
DeviceSelector_1.default.setLedgerUtils(TezosLedgerWallet_1.TezosLedgerWallet);
LoggerSelector_1.default.setLogger(log.getLogger('conseiljs'));
LoggerSelector_1.default.setLevel('error');
function setLogLevel(level) {
    LoggerSelector_1.default.setLevel(level);
}
exports.setLogLevel = setLogLevel;
__export(require("./chain/tezos/TezosContractIntrospector"));
__export(require("./chain/tezos/TezosLanguageUtil"));
__export(require("./chain/tezos/TezosMessageUtil"));
__export(require("./chain/tezos/TezosNodeReader"));
__export(require("./chain/tezos/TezosNodeWriter"));
__export(require("./chain/tezos/TezosProtocolHelper"));
__export(require("./identity/tezos/TezosFileWallet"));
__export(require("./identity/tezos/TezosLedgerWallet"));
__export(require("./identity/tezos/TezosWalletUtil"));
__export(require("./reporting/tezos/TezosConseilClient"));
__export(require("./reporting/ConseilDataClient"));
__export(require("./reporting/ConseilMetadataClient"));
__export(require("./reporting/ConseilQueryBuilder"));
__export(require("./types/conseil/MetadataTypes"));
__export(require("./types/conseil/QueryTypes"));
__export(require("./types/tezos/TezosChainTypes"));
__export(require("./types/tezos/TezosP2PMessageTypes"));
__export(require("./types/wallet/KeyStore"));
__export(require("./utils/CryptoUtils"));
//# sourceMappingURL=index.js.map